Subject: bug#77317: 31.0.50; insert-kbd-macro RET produces elisp that does not work

From: Eli Zaretskii <[email-masked]>
Date: Fri, 18 Apr 2025 13:34:35 +0300

> Cc: Stefan Monnier <[email-masked]>
> Date: Fri, 18 Apr 2025 00:57:37 +0200
> From:  Adam Sjøgren via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> --- a/lisp/macros.el
> +++ b/lisp/macros.el
> @@ -49,7 +49,8 @@ macros--insert-vector-macro
>  ;;;###autoload
>  (defun insert-kbd-macro (macroname &optional keys)
>    "Insert in buffer the definition of kbd macro MACRONAME, as Lisp code.
> -MACRONAME should be a symbol.
> +MACRONAME should be a symbol, if none is given the definition of
> +last-kdb-macro will be inserted.

I find this punctuation easier to read:

  MACRONAME should be a symbol; if none is given, the definition of
  `last-kdb-macro' will be inserted.

Bonus points for eliminating the passive tense:

  MACRONAME should be a symbol; if none is given, the function inserts
  the definition of `last-kdb-macro'.

Thanks.

P.S. I don't know this code well enough to tell whether the
documentation changes are factually correct/accurate.  I hope Stefan
will comment on that.